*{
    margin:0;
    padding:0;
    box-sizing:border-box;
    font-family:Arial, Helvetica, sans-serif;
}
.logo{
    position: fixed;
    top: 20px;
    left: 20px;
    z-index: 1000;
}

.logo img{
    width: 120px;      /* ปรับขนาดโลโก้ */
    height: auto;
}


body{
	margin: 0;
    width: 100%;
    height: 100%;
    overflow: hidden; /* ปิด Scroll */
    background-image: linear-gradient(rgba(255,255,255,0.3), rgba(255,255,255,0.3)), url("../img/sea_bk.jpg");
    background-size: cover;       /* ให้ภาพเต็มหน้าจอ */
    background-position: center;  /* จัดภาพให้อยู่กึ่งกลาง */
    background-repeat: no-repeat; /* ไม่ให้ภาพซ้ำ */
    background-attachment: fixed; /* ภาพอยู่กับที่เมื่อเลื่อนหน้า */
    max-width: 100%;
    max-height: 100%;
}

.container{
    display:flex;
    width:100%;
    min-height:100vh;
}

.video-box{

        position: relative;
    overflow: hidden;
    cursor: pointer;
    transition: transform 0.4s ease, box-shadow 0.4s ease;
    width:50%;
    height:100vh;
	 margin: 50px; 
}
.video-box:hover{
    transform: scale(1.08);
    box-shadow: 0 20px 40px rgba(0,0,0,0.35);
    z-index: 10;
}

.video-box video{

    position:absolute;
    top:50%;
    left:50%;
    min-width:100%;
    min-height:100%;    
	max-width:100%;
    max-height:100%;
    width:auto;
    height:auto;
    transform:translate(-50%,-50%);
    object-fit:cover;
}

.overlay{

    position:absolute;
    width:100%;
    height:100%;
    background:rgba(0,0,0,.45);
}

.content{

    position:absolute;
    width:100%;
    height:100%;
    display:flex;
    flex-direction:column;
    justify-content:center;
    align-items:center;
    color:#fff;
    text-align:center;
    z-index:2;
    padding:20px;
}

.content h1{

    font-size:48px;
    margin-bottom:15px;
}

.content p{

    font-size:20px;
    margin-bottom:25px;
}

.btn{

    text-decoration:none;
    background:#fff;
    color:#000;
    padding:14px 35px;
    border-radius:50px;
    font-weight:bold;
    transition:.3s;
}

.btn:hover{

    background:#00bfff;
    color:#fff;
}

/* Tablet */

@media(max-width:992px){

.content h1{
    font-size:36px;
}

.content p{
    font-size:18px;
}

}


/* Mobile */

@media(max-width:768px){

.container{

    flex-direction:column;
}

.video-box{

    width:100%;
    height:50vh;
}

.content h1{

    font-size:30px;
}

.content p{

    font-size:16px;
}

.btn{

    padding:12px 28px;
}

}